# -*- coding: utf-8 -*-
# Generated by Django 1.11.13 on 2019-11-26 16:40
from __future__ import unicode_literals

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Datacenter',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dc_name', models.CharField(help_text='The registered name of the Datacenter in the federation', max_length=30, unique=True)),
                ('ip_address', models.URLField(help_text='The IP Address of the Datacenter under registration')),
                ('username', models.CharField(help_text="The username for accessing the Datacenter's DCMC Master", max_length=30)),
                ('password', models.CharField(help_text="The password for accessing the Datacenter's DCMC Master", max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Migration',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('dc_name', models.CharField(help_text='Username of the issuing DC as understood by the DCMC Server', max_length=30)),
                ('role', models.CharField(choices=[('source', 'Source DC in Migration'), ('destination', 'Destination DC in Migration')], help_text='The role of the issuing DC in the migration ("source" or "destination")', max_length=12)),
                ('delivery_start', models.DateTimeField(help_text='The time on which the migration is planned to start')),
                ('delivery_end', models.DateTimeField(help_text='The time on which the remote execution is planned to end')),
                ('transaction', models.IntegerField(help_text='The ID of the transaction as kept in the CATALYST IT Load Marketplace')),
            ],
        ),
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('transaction', models.IntegerField(help_text='The ID of the transaction as kept in the CATALYST IT Load Marketplace')),
                ('vcontainer', models.CharField(help_text='Identification info of the issuing VM (UUID)', max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='VContainer',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cpu', models.IntegerField(help_text='The number of CPU cores of the VC described')),
                ('cpu_uom', models.CharField(help_text='The unit of measurement for the CPU value', max_length=5)),
                ('ram', models.IntegerField(help_text='The amount of RAM of the VC described')),
                ('ram_uom', models.CharField(help_text='The unit of measurement for the RAM value', max_length=5)),
                ('disk', models.IntegerField(help_text='The amount of disk of the VC described')),
                ('disk_uom', models.CharField(help_text='The unit of measurement for the disk value', max_length=5)),
                ('start', models.DateTimeField(help_text='The time from which the VC is planned to be active')),
                ('end', models.DateTimeField(help_text='The time until which the VC is planned to be active')),
                ('transaction', models.IntegerField(help_text='The ID of the transaction as kept in the CATALYST IT Load Marketplace')),
            ],
        ),
        migrations.AlterOrderWithRespectTo(
            name='vcontainer',
            order_with_respect_to='transaction',
        ),
        migrations.AlterOrderWithRespectTo(
            name='transaction',
            order_with_respect_to='transaction',
        ),
        migrations.AlterOrderWithRespectTo(
            name='migration',
            order_with_respect_to='transaction',
        ),
        migrations.AlterOrderWithRespectTo(
            name='datacenter',
            order_with_respect_to='dc_name',
        ),
    ]
